Summary:	Lightweight GTK+ music manager
Name:		pragha
Version:	1.1.2.1
Release:	%mkrel 3
Group:		Sound/Utilities
License:	GPLv3+
URL:		http://pragha.wikispaces.com/
Source0:	http://dissonance.googlecode.com/files/pragha-%{version}.tar.bz2
BuildRequires: pkgconfig(dbus-1) >= 1.1
BuildRequires: pkgconfig(dbus-glib-1) >= 0.84
BuildRequires: pkgconfig(gio-2.0) >= 2.28
BuildRequires: pkgconfig(gstreamer-1.0) >= 0.11.90
BuildRequires: pkgconfig(gstreamer-audio-1.0) >= 0.11.90
BuildRequires: pkgconfig(gstreamer-base-1.0) >= 0.11.90
BuildRequires: pkgconfig(gtk+-2.0) >= 2.24.0
BuildRequires: pkgconfig(keybinder) >= 0.2.0
BuildRequires: pkgconfig(libcddb) >= 1.3.0
BuildRequires: pkgconfig(libcdio) >= 0.80
BuildRequires: pkgconfig(libcdio_paranoia) >= 0.80
BuildRequires: pkgconfig(libnotify) >= 0.4.4
BuildRequires: pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires: pkgconfig(sqlite3) >= 3.4
BuildRequires: pkgconfig(taglib) >= 1.7.0
BuildRequires: pkgconfig(taglib_c) >= 1.4
BuildRequires: pkgconfig(totem-plparser) >= 2.26
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
Requires:       gstreamer1.0-plugins-base

%description
Pragha is is a lightweight GTK+ music manager that aims to be fast, bloat-free,
and light on memory consumption. It is written completely in C and GTK+.

Pragha is a fork of Consonance Music Manager, discontinued by the original
author.

%prep
%setup -q

%build
%configure2_5x --with-gstreamer=1.0
%make

%install
%makeinstall_std

%find_lang %{name}
# remove duplicate docs
rm -rf %{buildroot}%{_datadir}/%{name}/doc

%files -f %{name}.lang
# FIXME add AUTHORS and README if not empty
%doc ChangeLog FAQ NEWS
%{_bindir}/pragha
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}/
#%{_datadir}/%{name}/
%{_mandir}/man1/pragha.1.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.2.1-3.mga4
+ Revision: 535147
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 fwang <fwang> 1.1.2.1-2.mga4
+ Revision: 481269
- rebuild for new totem-pl-parser

* Sun Sep 01 2013 fwang <fwang> 1.1.2.1-1.mga4
+ Revision: 473931
- br intltool
- drop unsatisfied br
- update br
- new version 1.1.2.1

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 378159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.1.1-2.mga3
+ Revision: 324493
- update RPM group

* Sun Aug 26 2012 fedya <fedya> 1.1.1-1.mga3
+ Revision: 284333
- +BuildRequires: sqlite3-devel
- old patch removed
- added %%mkrel macro
- imported package pragha

